Package: groovy.text.markup

## [Java] Class TemplateResource

- groovy.text.markup.MarkupTemplateEngine.TemplateResource

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `hasLocale()`
    `` | `static TemplateResource` | `parse(String fullPath)`
    `` | `String` | `toString()`
    `` | `TemplateResource` | `withLocale(String locale)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public boolean hasLocale()

    - #### public static TemplateResource parse(String fullPath)

    - #### public String toString()

    - #### public TemplateResource withLocale(String locale)